%define _without_test 1
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/testlib.pm) perl(Net/Pcap.pm)
# END SourceDeps(oneline)
%define module_version 0.01
%define module_name Net-PcapUtils
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.01
Release: alt1
Summary: Utility routines for Net::Pcap module
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/T/TI/TIMPOTTER/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
Net::PcapUtils is a module to sit in front of Net::Pcap in order to
hide some of the pcap(3) initialisation by providing sensible
defaults.  This enables a programmer to easily write small, specific
scripts for a particular purpose without having to worry about too
many details.

The functions implemented in Net::PcapUtils are named after those in
Net::Pcap.  The loop function sits in a loop and executes a
callback for each packet received, while next retrieves the next
packet from the network device, and open returns an opened packet
descriptor suitable for use with other Net::Pcap routines.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README
%perl_vendor_privlib/N*

%changelog
* Mon Apr 07 2014 Igor Vlasenko <viy@altlinux.ru> 0.01-alt1
- initial import by package builder

